package com.gic.haoban.manage.service.pojo.bo.send;

import java.io.Serializable;
import java.util.Date;

/**
 * @author : lingfeng
 * @time : 2021-05-18
 * @description : 群发发送结果
 */
public class GroupSendResultBO implements Serializable {

    private static final long serialVersionUID = 1953943358823216399L;

    /**
     * 外部联系人id
     */
    private String externalUserid;

    /**
     * 企业服务人员的userid
     */
    private String userId;

    /**
     * 发送状态：0-未发送 1-已发送 2-因客户不是好友导致发送失败 3-因客户已经收到其他群发消息导致发送失败
     */
    private Integer status;

    /**
     * 发送时间，未发送时不返回
     */
    private Date sendTime;

    public String getExternalUserid() {
        return externalUserid;
    }

    public void setExternalUserid(String externalUserid) {
        this.externalUserid = externalUserid;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Date getSendTime() {
        return sendTime;
    }

    public void setSendTime(Date sendTime) {
        this.sendTime = sendTime;
    }

    @Override
    public String toString() {
        return "GroupSendResultDTO{" +
                "externalUserid='" + externalUserid + '\'' +
                ", userId='" + userId + '\'' +
                ", status=" + status +
                ", sendTime=" + sendTime +
                '}';
    }
}
